Index: /trunk/anuga_work/development/mem_time_tests/NCIparallel/area/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/NCIparallel/area/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/NCIparallel/area/main.py	(revision 8326)
@@ -22,10 +22,9 @@
 # Setup computational domain
 #------------------------------------------------------------------------------
-a = []
 #SpaceUsed = 0.0
 #number = 0
 
 home1 = os.getenv('INUNDATIONHOME')
-scenariodir = add_directories(home1, ["data","mem_time_test", "triangles","area"])
+scenariodir = add_directories(home1, ["data","mem_time_test", "triangles","logarea"])
 file1 = 'ex1.csv'
 file_path = os.path.join(scenariodir, file1)
@@ -39,5 +38,4 @@
 file_path_storen = os.path.join(scenariodir, storen)
 
-log.log_filename = os.path.join(scenariodir, 'log.txt
 
 spamWriter = csv.writer(open(file_path, 'wb'))
@@ -53,7 +51,6 @@
 
 
-def rum(d):
-     f = 4
-     for l in range(400,500,100):
+for m in range(1,2,1):
+     for l in range(700,800,100):
 
         g = open(file_path_storel,'r+')
@@ -61,10 +58,10 @@
 
         h = open(file_path_storea,'r+')
-        h.write(str(d))
+        h.write(str(m))
 
         z = time.time()
-        subprocess.call(['mpirun','-np','8','-x','PYTHONPATH','-x','INUNDATIONHOME','python','runcairns.py'])
-        #subprocess.call(['mpirun', '-np', str(f), '-hostfile' ,'~/machinefiles/t.machines_tornado','-x','PYTHONPATH','-x','INUNDATIONHOME','python2.5', 'ru$
-        #subprocess.call(['python2.5', 'runcairns.py'])
+        #subprocess.call(['mpirun','-np','8','-x','PYTHONPATH','-x','INUNDATIONHOME','python','runcairns.py'])
+        #subprocess.call(['mpirun', '-np', str(f), '-hostfile' ,'~/machinefiles/t.machines_tornado','-x','PYTHONPATH','-x','INUNDATIONHOME','python2.5', 'runcairns.py'])
+        subprocess.call(['python2.5', 'runcairns.py'])
         y = time.time()
 
@@ -77,9 +74,7 @@
         f.close()
 
-        spamWriter.writerow([i,d,(l*l),x ,(y-z)])
+        spamWriter.writerow(['i,d,(l*l),x ,(y-z)'])
         liststore.store = [0,0,0,0]
 
-for m in range(90,100,10):
-    rum(m)
 
 print 'Done'
Index: /trunk/anuga_work/development/mem_time_tests/NCIparallel/area/runcairns.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/NCIparallel/area/runcairns.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/NCIparallel/area/runcairns.py	(revision 8326)
@@ -30,5 +30,5 @@
 home2 = os.getenv('INUNDATIONHOME')
 
-scenariodir2 = add_directories(home2, ["data", "mem_time_test", "triangles", "area"])
+scenariodir2 = add_directories(home2, ["data", "mem_time_test", "triangles", "logarea"])
 
 h = 'CAIRNS.msh'
@@ -52,5 +52,5 @@
 
 scenariodirV = add_directories(home2, ["data","mem_time_test", "triangles",
-                                     "area", "triangles-" + str(area) +"-"+ str(length)])
+                                       "logarea", "triangles-" + str(area) +"-"+ str(length)])
 
 h = 'CAIRNS.msh'
@@ -60,5 +60,5 @@
 log._setup = False
 
-system_tools.MemoryUpdate()
+log.resource_usage_timing(prefix = 'BeforeSimulation')
 #------------------------------------------------------------------------------
 # Create the triangular mesh and domain based on 
@@ -82,5 +82,6 @@
 else:
     domain = None
-     
+
+log.resource_usage_timing(prefix = 'AfterMesh')     
 domain = distribute(domain)
                                
@@ -97,5 +98,5 @@
 def topography(x,y):
     return 0.0
-
+log.resource_usage_timing(prefix='beforeinitialconditions')
 tide = 100.0
 friction = 0.0
@@ -103,5 +104,5 @@
 domain.set_quantity('friction', friction) 
 domain.set_quantity('elevation',topography,alpha=0.1)
-
+log.resource_usage_timing(prefix='afterinitialconditions')
 
 
@@ -120,5 +121,5 @@
                      'top': Br})
 
-
+log.resource_usage_timing(prefix='afterboundary')
 #------------------------------------------------------------------------------
 # Evolve system through time
@@ -126,11 +127,12 @@
 
 # Save every two mins leading up to wave approaching land
-for t in domain.evolve(yieldstep=500, finaltime=2000): 
-    print domain.timestepping_statistics()
+#for t in domain.evolve(yieldstep=500, finaltime=2000): 
+#    print domain.timestepping_statistics()
     
 
-liststore.store[myid] = system_tools.MemoryUpdate()[0]
-a = sum(liststore.store)
+#liststore.store[myid] = system_tools.MemoryUpdate()[0]
+#a = sum(liststore.store)
 
+a = 1
 v = open(file_path_store, 'r+')
 v.write(str(a))
Index: /trunk/anuga_work/development/mem_time_tests/hardware/cairns/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/hardware/cairns/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/hardware/cairns/main.py	(revision 8326)
@@ -5,45 +5,36 @@
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
-import random
 import subprocess
 import csv
 import os
 import time
-import liststore
-from anuga.utilities import system_tools, log
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities.log_analyser import analyse_log
 
-
-#------------------------------------------------------------------------------
-# Setup computational domain
-#------------------------------------------------------------------------------
-a = []
+#--------------------------------------------------------------------------------------
+# Set up variables for the correct directories to store the output
+#--------------------------------------------------------------------------------------
 host = os.getenv('HOST')
-home1 = os.getenv('INUNDATIONHOME')
-scenariodir = add_directories(home1, ["data","mem_time_test", "parallel","cairns"])
+home = os.getenv('INUNDATIONHOME')
+scenariodir = add_directories(home, ["data","mem_time_test", "parallel","cairns"])
 file1 = 'ex1.csv'
 file_path = os.path.join(scenariodir, file1)
-store ='store.txt'
-file_path_store = os.path.join(scenariodir, store)
-
-log.log_filename = os.path.join(scenariodir, 'log.txt')
 
 spamWriter = csv.writer(open(file_path, 'wb'))
 spamWriter.writerow(['Number Of Processors' , 'Space Used MB' , 'Time Taken s'])
-e = open(file_path_store,'a')
-e.close()
 
+
+# main loop that runs macpus - 1 times
 maxcpus = 18
 
 for n in range(1,maxcpus,1):
-    z = time.time()
-    y = time.time()
+    z = time.time() # time it
 
+    #the necessary ways to run this script in parallel on the different hosts we use
     if (host == 'cyclone.agso.gov.au'):
-        subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_cyclone', '-x','PYTHONPATH','-x','INUNDATIONHOME','python2.6', 'runcairns.py']) 
+        subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_cyclone', '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py']) 
     if (host == 'tornado.agso.gov.au'):
-        subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_tornado', '-x','PYTHONPATH','-x','INUNDATIONHOME','python2.6', 'runcairns.py'])
+        subprocess.call(['mpirun', '-np', str(n), '-hostfile' ,'~/machinefiles/test.machines_tornado', '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py'])
     if (host == 'vayu1'):
         subprocess.call(['mpirun', '-np', str(n), '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py']) 
@@ -53,9 +44,7 @@
         subprocess.call(['mpirun', '-np', str(n), '-x','PYTHONPATH','-x','INUNDATIONHOME','python', 'runcairns.py'])
 
-    liststore.spacelist = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]
-    f = open(file_path_store,'r+')
-    x = float(f.readline())
-    f.close()
-    spamWriter.writerow([n,x ,(y-z)])
-print a
+    y = time.time()# time it
+    spamWriter.writerow([n,'x' ,(y-z)]) # write recorded results
+print 'DONE'
 
+analyse_log(scenariodir, 'metalog.csv') # interrogate log files for the memory usage information
Index: /trunk/anuga_work/development/mem_time_tests/hardware/cairns/project.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/hardware/cairns/project.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/hardware/cairns/project.py	(revision 8326)
@@ -1,4 +1,6 @@
 """ Common filenames and locations for topographic data, meshes and outputs.
     This file defines the parameters of the scenario you wish to run.
+
+    Parameters differ from example to make the code run faster, and so the data is stored and found in the correct places
 """
 
Index: /trunk/anuga_work/development/mem_time_tests/hardware/cairns/runcairns.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/hardware/cairns/runcairns.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/hardware/cairns/runcairns.py	(revision 8326)
@@ -10,4 +10,7 @@
 
 Geoscience Australia, 2004-present
+
+This has remained unchanged aside from the parallelism added, the resource statistics
+and the output directories, its also been scaled down so it runs faster
 """
 
@@ -19,29 +22,28 @@
 import time
 import sys
+import anuga
+from anuga_parallel import distribute, myid, numprocs
+from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities import log
 
-# Related major packages
-import anuga
-import liststore
 
 # Application specific imports
 import project                 # Definition of file names and polygons
 
-from anuga_parallel import distribute, myid, numprocs, finalize, barrier
-from anuga.abstract_2d_finite_volumes.util import add_directories
-from anuga.utilities import system_tools, log
+
+# set up variables for the correct output directories
+home = os.getenv('INUNDATIONHOME')
+scenariodir = add_directories(home, ["data", "mem_time_test", "parallel", "cairns"])
+h = 'CAIRNS.msh'
+file_pathh = os.path.join(scenariodir, h)
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
+scenariodirV = add_directories(home, ["data","mem_time_test", "parallel",
+                                       "cairns", "parrallel-" + str(numprocs) +"-"+str(myid)])
+log.log_filename = os.path.join(scenariodirV, "anuga.log")
+log._setup = False
 
 
-home2 = os.getenv('INUNDATIONHOME')
-
-scenariodir2 = add_directories(home2, ["data", "mem_time_test", "parallel", "cairns"])
-
-h = 'CAIRNS.msh'
-file_pathh = os.path.join(scenariodir2, h)
-store ='store.txt'
-file_path_store = os.path.join(scenariodir2, store)
-
-
-system_tools.MemoryUpdate()
-
+log.resource_usage_timing(prefix = 'BeforeSimulation')#get memory statistics at this point
 #------------------------------------------------------------------------------
 # Preparation of topographic data
@@ -49,8 +51,8 @@
 #------------------------------------------------------------------------------
 # Create DEM from asc data
-anuga.asc2dem(os.path.join(scenariodir2, 'cairns.asc'), use_cache=True, verbose=True)
+anuga.asc2dem(os.path.join(scenariodir, 'cairns.asc'), use_cache=True, verbose=True)
 
 # Create pts file for onshore DEM
-anuga.dem2pts(os.path.join(scenariodir2,'cairns.dem'), use_cache=True, verbose=True)
+anuga.dem2pts(os.path.join(scenariodir,'cairns.dem'), use_cache=True, verbose=True)
 
 #------------------------------------------------------------------------------
@@ -58,4 +60,5 @@
 # overall clipping polygon with a tagged
 # boundary and interior regions as defined in project.py
+# (in serial, so the set up only runs once)
 #------------------------------------------------------------------------------
 if myid == 0:
@@ -77,5 +80,8 @@
 else:
     domain = None
+
+log.resource_usage_timing(prefix = 'AfterMesh')#get memory statistics at this point
      
+#parallel
 domain = distribute(domain)
                                
@@ -84,5 +90,5 @@
 #------------------------------------------------------------------------------
 domain.set_name('cairns_' + project.scenario) # Name of sww file
-domain.set_datadir(scenariodir2)                       # Store sww output here
+domain.set_datadir(scenariodirV)                       # Store sww output here
 domain.set_minimum_storable_height(0.01)      # Store only depth > 1cm
 
@@ -95,8 +101,9 @@
 domain.set_quantity('friction', 0.0) 
 domain.set_quantity('elevation', 
-                    filename=os.path.join(scenariodir2, 'cairns.pts'),
+                    filename=os.path.join(scenariodir, 'cairns.pts'),
                     use_cache=True,
                     verbose=True,
                     alpha=0.1)
+log.resource_usage_timing(prefix='afterinitialconditions') #get memory statistics at this point
 
 #------------------------------------------------------------------------------
@@ -138,5 +145,5 @@
                          'onshore': Bd,
                          'top': Bd})
-
+log.resource_usage_timing(prefix='afterboundary') #get memory statistics at this point
 #------------------------------------------------------------------------------
 # Evolve system through time
@@ -175,10 +182,6 @@
         print domain.boundary_statistics(tags='ocean_east')
             
+
 print 'That took %.2f seconds' %(time.time()-t0)
 
-liststore.spacelist[myid] = system_tools.MemoryUpdate()[0]
-a = sum(liststore.spacelist)
-
-f = open(file_path_store, 'r+')
-f.write(str(a))
-
+log.resource_usage_timing(prefix='aftersimulation') #get memory statistics at this point
Index: /trunk/anuga_work/development/mem_time_tests/parameters/friction/ex1.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/parameters/friction/ex1.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/parameters/friction/ex1.py	(revision 8326)
@@ -10,4 +10,5 @@
 import os
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities import log
 
 home = os.getenv('INUNDATIONHOME')
@@ -16,46 +17,56 @@
 
 
-file = 'CAIRNS.sww'
-file_path = os.path.join(scenariodir, file)
+#store = 'store.txt'
+#file_path_store = os.path.join(scenariodir, store)
 
-h = 'CAIRNS.msh'
-file_pathh = os.path.join(scenariodir, h)
+f = open(os.path.join(scenariodir, "store.txt"),'r+') # SQRT extent this is set
+friction = float(f.readline())
+f.close()
+
+scenariodirV = add_directories(home, ["data","mem_time_test", "parameters",
+                                     "friction","friction-" + str(friction)])
+
+log.log_filename = os.path.join(scenariodirV, "anuga.log")
+log._setup = False
+
+log.resource_usage_timing(prefix = 'BeforeSimulation')
+
 #------------------------------------------------------------------------------
 # Setup computational domain
 #------------------------------------------------------------------------------
+points, vertices, boundary = anuga.rectangular_cross(100,300,len1=1000.0, len2=500.0) # Mesh
+domain = anuga.Domain(points, vertices, boundary) # Create domain
+domain.set_datadir(scenariodirV)
+domain.set_name('channel1') # Output name
 
-
-
-def runex(f):
-   points, vertices, boundary = anuga.rectangular_cross(10,5,
-   len1=10.0, len2=5.0) # Mesh
-   domain = anuga.Domain(points, vertices, boundary) # Create domain
-   domain.set_datadir(scenariodir)
-   domain.set_name('channel1') # Output name
- 
+log.resource_usage_timing(prefix = 'AfterMesh')
    
 #------------------------------------------------------------------------------
 # Setup initial conditions
 #------------------------------------------------------------------------------
-   def topography(x, y):
-       return -x/10 # linear bed slope
-       domain.set_quantity('elevation', topography) # Use function for elevation
-       domain.set_quantity('friction', f) # Constant friction
-       domain.set_quantity('stage', # Dry bed
+def topography(x, y):
+    return -x/10 # linear bed slope
+
+log.resource_usage_timing(prefix = 'BeforeInitial')
+domain.set_quantity('elevation', topography) # Use function for elevation
+domain.set_quantity('friction', friction) # Constant friction
+domain.set_quantity('stage', # Dry bed
                            expression='elevation')
+log.resource_usage_timing(prefix = 'AfterInitial')
 
 #------------------------------------------------------------------------------
 # Setup boundary conditions
 #------------------------------------------------------------------------------
-   Bi = anuga.Dirichlet_boundary([0.4, 0, 0]) # Inflow
-   Br = anuga.Reflective_boundary(domain) # Solid reflective wall
-   domain.set_boundary({'left': Bi, 'right': Br, 'top': Br, 'bottom': Br})
+log.resource_usage_timing(prefix = 'BeforeBoundary')
+Bi = anuga.Dirichlet_boundary([0.4, 0, 0]) # Inflow
+Br = anuga.Reflective_boundary(domain) # Solid reflective wall
+domain.set_boundary({'left': Bi, 'right': Br, 'top': Br, 'bottom': Br})
+log.resource_usage_timing(prefix = 'AfterBoundary')
 
 #------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
-   for t in domain.evolve(yieldstep=0.2, finaltime=40.0):
-      print domain.timestepping_statistics()
-   return f
+for t in domain.evolve(yieldstep=0.2, finaltime=40.0):
+    print domain.timestepping_statistics()
 
-
+log.resource_usage_timing(prefix = 'AfterSimulation')
Index: /trunk/anuga_work/development/mem_time_tests/parameters/friction/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/parameters/friction/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/parameters/friction/main.py	(revision 8326)
@@ -9,13 +9,12 @@
 import time
 import subprocess
-import ex1
 import csv
 import os
 from anuga.utilities import system_tools, log
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities.log_analyser import analyse_log
 #------------------------------------------------------------------------------
 # Setup computational domain
 #------------------------------------------------------------------------------
-a = []
 home = os.getenv('INUNDATIONHOME')
 
@@ -24,6 +23,12 @@
 file = 'ex1.csv'
 file_path = os.path.join(scenariodir, file)
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
 
-log.log_filename = os.path.join(scenariodir, 'log.txt')
+e = open(file_path_store,'a')
+e.close()
+
+
+
 
 spamWriter = csv.writer(open(file_path, 'wb'))
@@ -32,10 +37,11 @@
 
 for n in range(1,10000,100):
-    system_tools.MemoryUpdate()
+    f = open(file_path_store,'wb')
+    f.write(str(n))
     x = time.clock()
-    h = ex1.runex(n)
+    subprocess.call(['python2.5', 'ex1.py'])
     y = time.clock() 
-    b = system_tools.MemoryUpdate()[0]
-    spamWriter.writerow([n ,(y-x),b])
-print a
+    spamWriter.writerow([n ,(y-x)])
+print 'Done'
 
+analyse_log(scenariodir, 'metalog.csv')
Index: /trunk/anuga_work/development/mem_time_tests/parameters/nothing/ex1.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/parameters/nothing/ex1.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/parameters/nothing/ex1.py	(revision 8326)
@@ -1,61 +1,64 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import time
 import os
-
+from anuga.utilities import log
 from anuga.abstract_2d_finite_volumes.util import add_directories
 
+#set up the variables to correctly store the temporary data
 home = os.getenv('INUNDATIONHOME')
-scenariodir = add_directories(home, ["data","mem_time_test", "parameters",
-                                     "nothing"])
+scenariodir = add_directories(home, ["data","mem_time_test", "parameters","nothing"])
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
 
+#get the run number from the store text file
+f = open(file_path_store,'r+')
+n = float(f.readline())
+f.close()
 
-file = 'CAIRNS.sww'
-file_path = os.path.join(scenariodir, file)
+#set up the variables to correctly store the output data and log file
+scenariodirV = add_directories(home, ["data","mem_time_test", "parameters",
+                                     "nothing","nothing"+"-"+str(n)])
 
-h = 'CAIRNS.msh'
-file_pathh = os.path.join(scenariodir, h)
+log.log_filename = os.path.join(scenariodirV, "anuga.log")
+log._setup = False
 
+log.resource_usage_timing(prefix = 'BeforeSimulation') #get memory usage here
 #------------------------------------------------------------------------------
 # Setup computational domain
 #------------------------------------------------------------------------------
+points, vertices, boundary = anuga.rectangular_cross(100,300,len1=1000.0, len2=500.0) # Mesh
+domain = anuga.Domain(points, vertices, boundary) # Create domain
 
+domain.set_name('channel1') # Output name
+domain.set_datadir(scenariodir) 
 
+log.resource_usage_timing(prefix = 'AfterMesh')  #get memory usage here
 
-def runex():
-   points, vertices, boundary = anuga.rectangular_cross(10,5,
-   len1=10.0, len2=5.0) # Mesh
-   domain = anuga.Domain(points, vertices, boundary) # Create domain
-   domain.set_name('channel1') # Output name
-   domain.set_datadir(scenariodir) 
 #------------------------------------------------------------------------------
 # Setup initial conditions
 #------------------------------------------------------------------------------
-   def topography(x, y):
-       return -x/10 # linear bed slope
-       domain.set_quantity('elevation', topography) # Use function for elevation
-       domain.set_quantity('friction', 0.01) # Constant friction
-       domain.set_quantity('stage', # Dry bed
-                           expression='elevation')
+def topography(x, y):
+    return -x/10 # linear bed slope
+domain.set_quantity('elevation', topography) # Use function for elevation
+domain.set_quantity('friction', 0.01) # Constant friction
+domain.set_quantity('stage',expression='elevation')
+log.resource_usage_timing(prefix='afterinitialconditions')
 
 #------------------------------------------------------------------------------
 # Setup boundary conditions
 #------------------------------------------------------------------------------
-   Bi = anuga.Dirichlet_boundary([0.4, 0, 0]) # Inflow
-   Br = anuga.Reflective_boundary(domain) # Solid reflective wall
-   domain.set_boundary({'left': Bi, 'right': Br, 'top': Br, 'bottom': Br})
+Bi = anuga.Dirichlet_boundary([400, 0, 0]) # Inflow
+Br = anuga.Reflective_boundary(domain) # Solid reflective wall
+domain.set_boundary({'left': Bi, 'right': Br, 'top': Br, 'bottom': Br})
 
+log.resource_usage_timing(prefix='afterboundary')  #get memory usage here
 #------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
-   for t in domain.evolve(yieldstep=0.2, finaltime=40.0):
-      print domain.timestepping_statistics()
-   return len(domain)
+for t in domain.evolve(yieldstep=0.2, finaltime=40.0):
+    print domain.timestepping_statistics()
 
-
+log.resource_usage_timing(prefix='aftersimulation')  #get memory usage here
Index: /trunk/anuga_work/development/mem_time_tests/parameters/nothing/main.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/parameters/nothing/main.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/parameters/nothing/main.py	(revision 8326)
@@ -1,47 +1,43 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import time
 import random
 import subprocess
-import ex1
 import csv
 import os
 from anuga.utilities import system_tools, log
 from anuga.abstract_2d_finite_volumes.util import add_directories
-#------------------------------------------------------------------------------
-# Setup computational domain
-#------------------------------------------------------------------------------
-a = []
+from anuga.utilities.log_analyser import analyse_log
 
+#--------------------------------------------------------------------------------------
+# Set up variables for the correct directories to store the output
+#--------------------------------------------------------------------------------------
 home = os.getenv('INUNDATIONHOME')
-
-
-scenariodir = add_directories(home, ["data","mem_time_test", "parameters",
-                                     "nothing"])
+scenariodir = add_directories(home, ["data","mem_time_test", "parameters","nothing"])
 file = 'ex1.csv'
-
-log.log_filename = os.path.join(scenariodir, 'log.txt')
-
 file_path = os.path.join(scenariodir, file)
+store = 'store.txt'
+file_path_store = os.path.join(scenariodir, store)
 
 spamWriter = csv.writer(open(file_path, 'wb'))
+spamWriter.writerow(['Run Number' , 'Time Taken','Space Used'])
+e = open(file_path_store,'a') #create the file
+e.close()
 
-spamWriter.writerow(['Run Number' , 'Time Taken','Space Used'])
+#main loop, that stores the current run number so that unique folders exist for the information
+for n in range(0,300,1):
 
+    e = open(file_path_store,'r+') 
+    e.write(str(n)) #store the run number
+   
+    x = time.clock() #time it
+    subprocess.call(['python2.5', 'ex1.py']) #run script
+    y = time.clock() #time it
 
-for n in range(0,300,1):
-    system_tools.MemoryUpdate()
-    x = time.clock()
-    ex1.runex()
-    y = time.clock() 
-    d = system_tools.MemoryUpdate()[0]
-    spamWriter.writerow([n ,(y-x),d])
-    a.append((n,y-x,d))
-print a
+    spamWriter.writerow([n ,(y-x)])
 
+print "DONE"
+
+analyse_log(scenariodir, 'metalog.csv') #get the memory usage from the log files
Index: /trunk/anuga_work/development/mem_time_tests/parameters/timelen-over-timestep/ex1.py
===================================================================
--- /trunk/anuga_work/development/mem_time_tests/parameters/timelen-over-timestep/ex1.py	(revision 8325)
+++ /trunk/anuga_work/development/mem_time_tests/parameters/timelen-over-timestep/ex1.py	(revision 8326)
@@ -1,50 +1,71 @@
-"""Simple water flow example using ANUGA
-Water flowing down a channel
-"""
 #------------------------------------------------------------------------------
 # Import necessary modules
 #------------------------------------------------------------------------------
-# Import standard shallow water domain and standard boundaries.
 import anuga
 import time
 import random
 import os
-#------------------------------------------------------------------------------
-# Setup computational domain
-#------------------------------------------------------------------------------
 from anuga.abstract_2d_finite_volumes.util import add_directories
+from anuga.utilities import log
 
+#set up variables to store the temporary data
 home = os.getenv('INUNDATIONHOME')
 scenariodir = add_directories(home, ["data","mem_time_test", "parameters",
                                      "timelen-over-timestep"])
+store ='store.txt'
+file_path_store = os.path.join(scenariodir, store)
+storen ='storen.txt'
+file_path_storen = os.path.join(scenariodir, storen)
 
-def runex(g,f):
-   points, vertices, boundary = anuga.rectangular_cross(10,5,
-   len1=10.0, len2=5.0) # Mesh
-   domain = anuga.Domain(points, vertices, boundary) # Create domain
-   domain.set_name('channel1') # Output name
-   domain.set_datadir(scenariodir) 
+#get the time length and time step from the text files
+f = open(file_path_store,'r+') 
+g = float(f.readline())
+f.close()
+f = open(file_path_storen,'r+')
+h = float(f.readline())
+f.close()
+
+#set up variables to store the data and the log files
+scenariodirV = add_directories(home, ["data","mem_time_test", "parameters",
+                                       "timelen-over-timestep", "TT-" + str(g) +"-"+ str(h)])
+log.log_filename = os.path.join(scenariodirV, "anuga.log")
+log._setup = False
+
+
+log.resource_usage_timing(prefix = 'BeforeSimulation') #get memory usage here
+
+#------------------------------------------------------------------------------
+#Create Domain and Mesh
+#------------------------------------------------------------------------------
+points, vertices, boundary = anuga.rectangular_cross(100,300,len1=1000.0, len2=500.0) # Mesh
+domain = anuga.Domain(points, vertices, boundary) # Create domain
+domain.set_name('channel1') # Output name
+domain.set_datadir(scenariodirV) 
+
+log.resource_usage_timing(prefix = 'AfterMesh')  #get memory usage here
+
 #------------------------------------------------------------------------------
 # Setup initial conditions
 #------------------------------------------------------------------------------
-   def topography(x, y):
-       return -x/10 # linear bed slope
-       domain.set_quantity('elevation', topography) # Use function for elevation
-       domain.set_quantity('friction', 0.01) # Constant friction
-       domain.set_quantity('stage', # Dry bed
-                           expression='elevation')
+def topography(x, y):
+    return -x/10 # linear bed slope
+
+domain.set_quantity('elevation', topography) # Use function for elevation
+domain.set_quantity('friction', 0.01) # Constant friction
+domain.set_quantity('stage', expression='elevation')
+log.resource_usage_timing(prefix='afterinitialconditions')  #get memory usage here
 
 #------------------------------------------------------------------------------
 # Setup boundary conditions
 #------------------------------------------------------------------------------
-   Bi = anuga.Dirichlet_boundary([0.4, 0, 0]) # Inflow
-   Br = anuga.Reflective_boundary(domain) # Solid reflective wall
-   domain.set_boundary({'left': Bi, 'right': Br, 'top': Br, 'bottom': Br})
-
+Bi = anuga.Dirichlet_boundary([0.4, 0, 0]) # Inflow
+Br = anuga.Reflective_boundary(domain) # Solid reflective wall
+domain.set_boundary({'left': Bi, 'right': Br, 'top': Br, 'bottom': Br})
+log.resource_usage_timing(prefix='afterboundary')  #get memory usage here
 #------------------------------------------------------------------------------
 # Evolve system through time
 #------------------------------------------------------------------------------
-   for t in domain.evolve(yieldstep=f, finaltime=g):
-      print domain.timestepping_statistics()
+for t in domain.evolve(yieldstep=h, finaltime=g):
+    print domain.timestepping_statistics()
 
-
+log.resource_usage_timing(prefix='aftersimulation')  #get memory usage here
